Bug 547369 - parport printer - Invalid device URI:
Summary: parport printer - Invalid device URI:
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-14 14:04 UTC by Adam Pribyl
Modified: 2010-01-05 14:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-05 14:51:33 UTC


Attachments (Terms of Use)
lpinfo (1.94 KB, text/plain)
2009-12-15 20:53 UTC, Adam Pribyl
no flags Details

Description Adam Pribyl 2009-12-14 14:04:57 UTC
Printing to HP 710c on F12 is not possible. The device is setup, but not printing job really is printed on the printer. Problem seems to be with device connected thru parallel port, because when it is tried with hp-setup it reports invalid device URI.

Was working in F10 OK, without any tweaks.

[root@localhost ~]# hp-setup -i -a -x /dev/parport0

HP Linux Imaging and Printing System (ver. 3.9.8)
Printer/Fax Setup Utility ver. 9.0

Copyright (c) 2001-9 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.


--------------------------------
| SELECT CONNECTION (I/O) TYPE |
--------------------------------

  Num       Connection  Description                                               
            Type                                                                  
  --------  ----------  ----------------------------------------------------------
  0*        usb         Universal Serial Bus (USB)                                
  1         net         Network/Ethernet/Wireless (direct connection or JetDirect)
  2         par         Parallel Port (LPT:)                                      

Enter number 0...2 for connection type (q=quit, enter=usb*) ? 2

Using connection type: par

error: Invalid device URI: 
error: No device selected/specified or that supports this functionality.
[root@localhost ~]# lsmod | grep lp
lp                      8896  0 
parport                29300  3 lp,ppdev,parport_pc
drm_kms_helper         22700  1 nouveau
drm                   135496  5 nouveau,ttm,drm_kms_helper
[root@localhost ~]# dmesg | grep -E 'parport|lp'
On node 0 totalpages: 130943
Calibrating delay loop (skipped), value calculated using timer frequency.. 2814.20 BogoMIPS (lpj=1407102)
parport_pc 00:09: reported by Plug and Play ACPI
parport0: PC-style at 0x378 (0x778), irq 7 [PCSPP,TRISTATE]
parport0: Printer, HEWLETT-PACKARD DESKJET 710C
lp0: using parport0 (interrupt-driven).
lp0: console ready

Comment 1 Jiri Popelka 2009-12-14 14:23:32 UTC
What does 'lpinfo -l -v' say ?

Comment 2 Adam Pribyl 2009-12-15 20:53:57 UTC
Created attachment 378628 [details]
lpinfo

There seems to be everything OK in lpinfo. I found that this printer is probably not driven by hplip drivers family but should be using pnm2ppa, so this is maybe problem with different component.

Comment 3 Tim Waugh 2010-01-05 14:51:33 UTC
The HP DeskJet 710C is not supported by the HPLIP driver:
  http://hplipopensource.com/hplip-web/supported_devices/deskjet.html


Note You need to log in before you can comment on or make changes to this bug.